<?php
$this->load->helper("url"); //deberia ser autoleible
$d=array("tituloApp"=>"Pagos del paciente","menu"=>"");
$this->parser->parse("html/page/v2/header",$d);
$this->parser->parse("html/page/v2/bar",$d);
$parse["menu"]=$this->load->view("html/page/v2/php/menuHClinica",$d,true);
$parse["tituloApp"]=$d["tituloApp"];
$this->parser->parse("html/page/v2/navigation",$parse);
$nombreTmp=isset($_SESSION["nombreTmp"])?$_SESSION["nombreTmp"]:"";
unset($_SESSION["nombreTmp"]);
//echo "yo";
?>
<style type="text/css">
tr{
    margin: 0px !important;
    padding: 0px !important;
}
</style>
<script type="text/javascript">
</script>
<div class="modal fade" id="modAjax" tabindex="-1" role="dialog" aria-hidden="true">
</div>
<div class="row">
    <div class="col-md-12 col-lg-12">
        <div class="box box-primary">
            <div class="panel panel-info">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="text-primary"><a style="text-decoration:none" href="#" data-toggle="modal" data-target="#modAjax" data-backdrop="static" id="nombrePaciente">Todos los pacientes</a></h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Fecha Inicial</label>
                                <input id="fechaInicial" value="<?=date("d-m-Y")?>" type="text" class="form-control" placeholder="">      
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label>Fecha Final</label>
                                <input id="fechaFinal" value="<?=date("d-m-Y")?>" type="text" class="form-control" placeholder="">                                  
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>&nbsp;Acciones</label>
                                <div class="input-group">
                                    <div class="btn-group">
                                        <button onclick="" id="btnBuscarPagos" class="btn btn-primary">Buscar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="box-body" id="box-body">
                    <table id="listPago" class="table table-sm table-bordered table-striped dt-responsive table-hover table-active">
                        <thead class="thead-dark">
                            <tr>
                                <th>Folio</th>
                                <th>Paciente</th>
                                <th>Fecha Pago</th>
                                <th>Importe</th>
                                <th>Acciones</th>
                            </tr>               
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            
        </div>
    </div>

    <!--
	<div class="col-md-12 col-lg-12">
		<div class="box box-primary">
			<div class="box-header">
                <h3 style="padding:0;margin:0">Todos los pacientes</h3>
    		</div>
    		<div class="box-body">
    			<table id="listPago" class="table table-sm table-bordered table-striped dt-responsive table-hover table-active">
        			<thead class="thead-dark">
        				<tr>
        					<th>Folio</th>
        					<th>Fecha</th>
        					<th>Importe</th>
                            <th>Paciente</th>
        					<th>Acciones</th>
        				</tr>				
        			</thead>
        			<tbody>
        			</tbody>
        		</table>
    		</div>
		</div>
	</div>-->
</div>
<?php
$this->load->view("html/page/v2/prefooter");?>
<script src="<?=base_url()?>"></script>
<script type="text/javascript">
var idPacienteActual=null;
$(document).ready(function(){
    $("#fechaInicial").datepicker({
        autoclose: true,  
        format: "dd-mm-yyyy",
        language: 'es'});
    $("#fechaFinal").datepicker({
        autoclose: true,  
        format: "dd-mm-yyyy",
        language: 'es'});
    $.ajax({url:path+"pacientes/adeudoCuenta/listPagoNotas",
        data:{},
        method:"POST",
        dataType:"JSON",
        success:function(res){
            console.log(res);
            listPago=$("#listPago").DataTable({
                "paging":false,
                "searching":false,
                "destroy":true,
                "data":res.datos,
                "columns":[
                    {"data":function(data){
                        return data.serie+"-"+data.folio;
                    }},
                    {"data":"nombreCompleto"},
                    {"data":"fecha"},
                    {"data":"monto","className":"text-right"},
                    {data:function(data){
                        var editar="editarPaciente('"+data.idPaciente+"')";
                        return "<button onclick="+editar+" class='btn btn-warning btn-xs'><i class='fa fa-pencil'></i></button>";
                            //"<button onclick="+"verHistorialNota('"+data.cIdCuenta+"','"+data.serie+"-"+data.folio+"')"+" title='Historial de cuenta' class='btn btn-success btn-sm'><i class='fa fa-history'></i></button>";

                    }}
                ]
        });
    },error:function(res){
      console.log(res.responseText);
    }});
    loadPacientes();
});
function verHistorialNota(idCuenta,folio)
{
    $.ajax({url:path+"/pacientes/adeudocuenta/verHistorialNota",
        data:{"idCuenta":idCuenta,"folio":folio},
        method:"POST",
        dataType:"html",
        success:function(res){
            //alert(res.message);
            $("#modAjax").html(res);
            $("#modAjax").modal();
        },error:function(res){
          console.log("error "+res.responseText);
        }
    });
}
function loadPacientes()
{
	$.ajax({url:path+"pacientes/paciente/datosPacienteModal",
        data:{"func":"seleccionar","todos":false},
        method:"POST",
        dataType:"html",
        success:function(res){
            //alert(res.message);
            $("#modAjax").html(res);
            $("#listTblPaciente").DataTable({});
            //$("#modAjax").modal();
        },error:function(res){
          console.log("error "+res.responseText);
        }
    });
}
function seleccionarPaciente(nombre,idPaciente)
{
    //console.log($(el).parents("tr").data());
    idPacienteActual=idPaciente;
    $("#nombrePaciente").html(atob(nombre));
    $("#modAjax").modal("hide");
}
function ver()
{
	$("#modAjax").modal();
}
</script>
<?php
$this->load->view("html/page/v2/footer");